MODULE nc4dummy
!-
!-
! This software is governed by the CeCILL license
! See IOIPSL/IOIPSL_License_CeCILL.txt
!---------------------------------------------------------------------
#if ! defined key_netcdf4
      !!--------------------------------------------------------------------
      !! NOT 'key_netcdf4' Defines dummy routines for netcdf4
      !!                   calls when compiling without netcdf4 libraries
      !!--------------------------------------------------------------------
     INTEGER, PUBLIC :: NF90_HDF5
CONTAINS
!===
   INTEGER FUNCTION NF90_DEF_VAR_CHUNKING(idum1, idum2, idum3, iarr1)
      !!--------------------------------------------------------------------
      !!                   ***  SUBROUTINE NF90_DEF_VAR_CHUNKING  ***
      !!
      !! ** Purpose :   Dummy NetCDF4 routine to enable compiling with NetCDF3 libraries
      !!--------------------------------------------------------------------
      INTEGER,               INTENT(in) :: idum1, idum2, idum3
      INTEGER, DIMENSION(4), INTENT(in) :: iarr1
      IF(lwp) WRITE(numout,*) 'Warning: Attempt to chunk output variable without NetCDF4 support'
      NF90_DEF_VAR_CHUNKING = -1
   END FUNCTION NF90_DEF_VAR_CHUNKING

   INTEGER FUNCTION NF90_DEF_VAR_DEFLATE(idum1, idum2, idum3, idum4, idum5)
      !!--------------------------------------------------------------------
      !!                   ***  SUBROUTINE NF90_DEF_VAR_DEFLATE  ***
      !!
      !! ** Purpose :   Dummy NetCDF4 routine to enable compiling with NetCDF3 libraries
      !!--------------------------------------------------------------------
      INTEGER,               INTENT(in) :: idum1, idum2, idum3, idum4, idum5
      IF(lwp) WRITE(numout,*) 'Warning: Attempt to compress output variable without NetCDF4 support'
      NF90_DEF_VAR_DEFLATE = -1
   END FUNCTION NF90_DEF_VAR_DEFLATE
#else
      !!--------------------------------------------------------------------
      !! 'key_netcdf4' Dummy module (usually defines dummy routines for netcdf4
      !!               calls when compiling without netcdf4 libraries
      !!--------------------------------------------------------------------
#endif

!------------------
END MODULE nc4dummy
